# $Id: squirrelmail-decode.spec 820 2007-07-20 00:00:23Z rpmbuild $
# repo: RE-test
# restrictions:

Summary: SquirrelMail Extra Decoding Library
Name: squirrelmail-decode
Version: 1.2
Release: %RErelease 1
Epoch: 0
License: GPL
Group: Applications/Internet
Url: http://www.squirrelmail.org/
Source0: http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge
Requires: squirrelmail >= 1.4.4, php >= 4.0.5, php-mbstring
BuildArch: noarch

%description
SquirrelMail decoding functions are used to display and convert messages
encoded in different character sets. Extra decoding library provides
support of some complex Eastern and Apple x-mac character sets.

%prep
%setup -q

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 755 -d ${RPM_BUILD_ROOT}%{_datadir}/squirrelmail/functions/decode
%{__install} -m 644 -p eastasia/*.php ${RPM_BUILD_ROOT}%{_datadir}/squirrelmail/functions/decode
%{__install} -m 644 -p x-mac/*.php ${RPM_BUILD_ROOT}%{_datadir}/squirrelmail/functions/decode

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog.decode COPYING.decode README.decode ReleaseNotes.decode
%{_datadir}/squirrelmail/functions/decode

%changelog
* Thu Jul 19 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2-1
- Updated to version 1.2.

* Sat Dec 23 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.1-1
- Added squirrelmail-decode.

